<< hamming | FOSSEE_Signal_Processing_Toolbox | hanning >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > hann

# hann

This function returns the filter coefficients of a Hanning window.

### Syntax

    w = hann(m)
    w = hann(m, "symmteric")
    w = hann(m, "periodic")

### Parameters

m:

  positive integer value

opt:

  string value, takes in "periodic" or "symmetric"

w:

  output variable, vector of real numbers

### Description

This function returns the filter coefficients of a Hanning window of length m supplied as input, to the output vector w. The second parameter can take the values "periodic" or "symmetric", depending on which the corresponding form of window is returned. The default is symmetric.

### Examples

    hann(6,"symmetric")

Report an issue
<< hamming | FOSSEE_Signal_Processing_Toolbox | hanning >>